> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/platform-service/zls/datastructure.md).

# Data Types

## LogInfo

Describes the audit log information.

Referenced by：DescribeLogs

| Parameter Name | Type   | Description                                                                                                                                 |
| -------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------- |
| resUid         | String | Resource ID.                                                                                                                                |
| resType        | String | Resource type.                                                                                                                              |
| resEvent       | String | Event name.                                                                                                                                 |
| opsTime        | String | <p>Operation time.</p><p>Time format: yyyy-MM-ddTHH<span data-gb-custom-inline data-tag="emoji" data-code="1f1f2-1f1f2">🇲🇲</span>ssZ.</p> |
| eventSource    | String | <p>Event source.</p><p>Possible values: CONSOLE\_CALL (console operation); API\_CALL (API call).</p>                                        |
| apiVersion     | String | API version.                                                                                                                                |
| opsUser        | String | Operator.                                                                                                                                   |
| clientIP       | String | Client IP address of the operation.                                                                                                         |
| request        | String | Request parameters.                                                                                                                         |
| response       | String | Response result.                                                                                                                            |
